Skip to main content
Luister naar dit blog artikel

Verouderde WordPress website migreren

Aangepast op: 10 okt, 2023

Het afgelopen half jaar heb ik een heel aantal verouderde websites gemigreerd die vanwege hun thema en/of plugins niet meer zouden gaan werken met PHP8.

Op welke PHP versie draait jouw website

Weet jij op welke versie jouw website draait? En ben je er van bewust dat PHP versie 7.4 of lager een risico is voor je website? In veel gevallen kost het 10 minuten om het om te zetten in je dashboard van je hostingpartij. Maar, lees eerst even verder want jouw website kan offline gaan als een van je plugins of het thema niet meer werkt op php 8. Helaas zijn sommige thema’s en plugins verouderd en qua programmeercode niet meer vernieuwd. Die code matcht dan niet met de nieuwere code.

Boek een vrijblijvende scan van een half uur in om er achter te komen of hij up-to-date bent met je website, Offerte aanvraag. Na het eerste half uur reken ik mijn normale tarief.

Kosten voor vernieuwen

Hoe lang dat duurt en hoe hoog de kosten hiervoor zijn hangt af van:

  • WordPress thema
  • WordPress plugins

Heb je de pech dat de php versie van het thema en/of de plugins niet werken op php8 dan moet je op zoek naar alternatieven. In het geval van een thema gaat het dan om een nieuwbouw van je website. De content raak je niet kwijt maar hoe dit wordt weergegeven zal opnieuw opgebouwd moeten worden. Mijn ervaring is dat dit voor kleine websites minimaal 5 uur kost (met het vervangende YOOtheme thema) maar bij grotere website 10 uur of langer. Voor plugins zijn meestal wel nieuwere versies.

Doe de check

Je kan zelf checken welke versie je hebt (mits je webdesigner dit niet heeft dichtgebouwd). Lees en bekijk de video over waar je de versie kan vinden >> Draait jouw website nog op 7.4 of lager, dan moet er wat gebeuren. Of daar jou of je webbouwer/webdesigner.

Je nog een 2e check doen, nl of je website blijft draaien als je de PHP versie omhoog zet. Nadat je (maak een backup) alle updates hebt gedaan. Soms kan je niet naar de nieuwste versie omdat die niet meer werkt de met de oude PHP versie (5.6 of 7.4). Die doe je dan later.

Dit is voor de gevorderden. Vervolgens ga je naar jouw webhosting omgeving en ga je op zoek naar waar je de php versie kan aanpassen, en pas je die aan voor jouw website. Let op met meerdere sites in een pakket. Doe dit enkel voor die ene website. Je kan de versie op 8.0 of hoger zetten. Ververs de website, gaat deze offline dan zet je hem weer terug op de versie waar deze op stond.

Je staat nu voor de keuze om uit te zoeken wat er niet meer werkt en om hulp te vragen. Je kan dit uitstellen maar een webhostingpartij zal op een gegeven moment kiezen om server breed de versie omhoog te zetten. En dan ben je te laat en is je website sowieso offline. Vanwege de veiligheid van andere gebruikers op de vaak gedeelde (shared hosting) servers kan een hostingpartij hier voor kiezen en eenvoudig melden dat dit dan en dan gaat gebeuren. Sommige van mijn klanten hebben deze melding al in het najaar gehad.

Zelf op zoek naar nieuwere versies die matchen met PHP 8

Het zoeken naar een vervangend thema en plugins kan je met een moeilijk woord migreren noemen. In sommige gevallen is het ook wel even spannend als er veel aan elkaar is geknoopt qua plugins. Dan doe je er verstandig aan om een kloon/kopie te maken van je website en daar het nieuwe thema op te activeren en de de nieuwe plugins op te installeren.

Zodra de nieuwe versie klaar is (die wel op php 8 draait) dan kan je de oude website verwijderen en de kopie opnieuw kopiëren maar dan naar de juiste url dus niet op jouwwebsite.nl/nieuwesite (directory) of nieuwesite.jouwwebsite.nl (subdomein) maar naar jouwwebsite.nl.

Dat klinkt wat omslachtig maar als je zelf als ‘leek’ bezig gaat is dit een veilige manier. Dit kan je makkelijk doen als jouw webhostingpartij met softaculous of installatron werkt. Dat is een applicatie die je in plesk of directadmin vaak vindt. Let op, niet iedere hostingpartij biedt dit aan.

Begin op tijd en wacht niet af tot de hostingpartij dit voor je gaat doen.

Waarom is er een PHP update

Waarom updaten van PHP?

PHP 7.4 bereikte “end-of-life” op 28 november 2022. Na deze datum krijgt PHP 7.4 geen beveiligingsupdates meer, waardoor verder gebruik een potentieel veiligheidsrisico vormt.
De “end-of-life”-datum van een PHP-versie wordt bepaald door het PHP Development Team en ligt buiten de controle van een hostingpartij, themabouwer, pluginbouwer of webdesigner.

Zie het als een kans om je website te restylen

Zit jij in de vervelende positie dat je website stuk zou gaan als de webhostingpartij (of jijzelf) je versie zelf omzet? Plan dan voor deze zomer een restyling in. Wil je dat met mij doen dan raad ik je aan om het het YOOtheme thema te werken. Ik kan je vanaf afstand helpen, een deel uit handen nemen of iets plannen met een groep of alleen op kantoor. Je content ben je niet kwijt je gaat dus bezig met het leuke gedeelte het restylen het opnieuw layouten van je website.

YOOtheme - snelle introductie op het werken met een pagebuilder

Behoefte om dit samen op te pakken?

Met regelmaat organiseer ik samen-doe-sessies maar een 1-op-1 sessie is ook mogelijk. Neem contact met me om uit te vinden hoe ik jou kan helpen.

studio@sandragortemaker.nl | 06 531 90 681


Geef een reactie

Het e-mailadres wordt niet gepubliceerd. Vereiste velden zijn gemarkeerd met *

Deze site gebruikt Akismet om spam te verminderen. Bekijk hoe je reactie-gegevens worden verwerkt.

Volg de WordPress training

online marketing studio sandra gortemaker

Wil jij je kennis over WordPress bijspijkeren? Dat kan met de online training waarin ik de meest voorkomende functies en werkwijzen bespreek.